all: tutorial.ps authoritative.ps compile.ps convert.ps recursive.ps \
     glossary.ps recordtypes.ps changelog.ps

clean:
	rm -f tutorial.ps authoritative.ps compile.ps convert.ps \
	    recursive.ps glossary.ps recordtypes.ps

authoritative.ps: ../source/authoritative.ej
	../../../tools/ej/ej2ps ../source/authoritative.ej > \
	    authoritative.ps

tutorial.ps: ../source/tutorial.ej
	../../../tools/ej/ej2ps ../source/tutorial.ej > tutorial.ps

compile.ps: ../source/compile.ej
	../../../tools/ej/ej2ps ../source/compile.ej > compile.ps

convert.ps: ../source/convert.ej
	../../../tools/ej/ej2ps ../source/convert.ej > convert.ps

recursive.ps: ../source/recursive.ej
	../../../tools/ej/ej2ps ../source/recursive.ej > \
	  recursive.ps

glossary.ps: ../source/glossary.ej
	../../../tools/ej/ej2ps ../source/glossary.ej > \
	  glossary.ps

recordtypes.ps: ../source/recordtypes.ej
	../../../tools/ej/ej2ps ../source/recordtypes.ej > \
	  recordtypes.ps

changelog.ps: ../source/changelog_ps.ej ../source/changelog.embed
	../../../tools/ej/ej2ps ../source/changelog_ps.ej > \
	  changelog.ps
